data "aws_caller_identity" "current" {}

resource "datadog_integration_aws" "dd_aws_integration" {
  account_id                       = data.aws_caller_identity.current.account_id
  role_name                        = local.dd_integration_role_name
  account_specific_namespace_rules = var.dd_account_settings.namespace_rules
  host_tags                        = concat(["account_id:${data.aws_caller_identity.current.account_id}"], var.dd_account_settings.host_tags)
}