variable "region" {
  type    = string
  default = "eu-west-1"
}

variable "datadog_api_key" {
  type = string
}

variable "datadog_app_key" {
  type = string
}

variable dd_account_settings {
  type = object({
    namespace_rules = map(bool)    # enables or disables metric collection from specific AWS namespaces
    filter_tags     = list(string) # key:value EC2 tags to collect metrics from
    host_tags       = list(string) # key:value tags to add to all hosts and metrics
  })
}
