# Organizations

Creates an AWS Organization in the Master Account and creates child accounts as part of the organization.

## Details

Creates the following:

* Organization policies like cloudtrail permissions
* Additional AWS accounts linked to the AWS Organization
* Terraform remote state resources for all accounts (S3 & DynamoDB table)
* Default IAM account password policy
* Organization CloudTrail with S3 bucket

## References

* [https://aws.amazon.com/organizations/](https://aws.amazon.com/organizations/)
* [https://www.terraform.io/docs/providers/aws/r/organizations_account.html](https://www.terraform.io/docs/providers/aws/r/organizations_account.html)
