route53_zones = [
  {
    name              = "hbi.systems."
    type              = "public"
    force_destroy     = false
    vpc_id            = ""
    delegation_set_id = ""
    tags              = {}
  }
]

route53_zones_delegation = {
  "dev.hbi.systems" = {
    parent_zone_id = "Z30HY0U04AXMX6"
    domain_name    = "dev.hbi.systems"
    ttl            = "60"
    name_servers = [
      "ns-1380.awsdns-44.org",
      "ns-1810.awsdns-34.co.uk",
      "ns-333.awsdns-41.com",
      "ns-650.awsdns-17.net"
    ]
  }
  "services.hbi.systems" = {
    parent_zone_id = "Z30HY0U04AXMX6"
    domain_name    = "services.hbi.systems"
    ttl            = "60"
    name_servers = [
      "ns-1496.awsdns-59.org",
      "ns-1900.awsdns-45.co.uk",
      "ns-418.awsdns-52.com",
      "ns-539.awsdns-03.net"
    ]
  },
  "prod.hbi.systems" = {
    parent_zone_id = "Z30HY0U04AXMX6"
    domain_name    = "prod.hbi.systems"
    ttl            = "60"
    name_servers = [
      "ns-1066.awsdns-05.org",
      "ns-1724.awsdns-23.co.uk",
      "ns-371.awsdns-46.com",
      "ns-842.awsdns-41.net"
    ]
  }
}
