This component is responsible for creating S3 bucket resources, usually for the development teams. An S3 bucket resource has many options and the policies that can be attached can be very difficult to cover. As such, this component is a bit opinionated and caters for the current business needs of Holland and Barrett.

This component can currently create the following type of buckets:
- Website Bucket
- Standard Bucket

## Variables
**s3-buckets**: This variable currently incorporates all the general attributes requested by the terraform resource. Any `string` attributes that are not required can be set to `null` for omission. Some attributes are clarified below:
- *policy*: Stringified json policy can be passed through this attribute (set to `null` for omission)
- *type*: Type of bucket that determines the default policy applied. *Make sure the value matches the name of the default policies in the `templates` directory*

## TODO
- replace `count` with `for_each` on resources as soon as its released in the next Terraform version