variable "user_active" {
  type    = string
  default = "Active"
}

variable "keybase_username" {
  type        = string
  description = "Keybase username to encrypt the IAM secret key with the keybase user's public key"
  default     = false
}

variable "create_master_bootstrap" {
  description = "Set to true for the master AWS account to add master user/group resources"
  type        = bool
  default     = false
}

variable "aws_region" {
  type    = string
  default = "eu-west-1"
}
