resource "aws_route53_record" "delegation_record" {
  count = length(keys(var.route53_zones_delegation))

  zone_id = var.route53_zones_delegation[element(keys(var.route53_zones_delegation), count.index)].parent_zone_id
  name    = var.route53_zones_delegation[element(keys(var.route53_zones_delegation), count.index)].domain_name
  type    = "NS"
  ttl     = var.route53_zones_delegation[element(keys(var.route53_zones_delegation), count.index)].ttl
  records = var.route53_zones_delegation[element(keys(var.route53_zones_delegation), count.index)].name_servers
}
