variable "region" {
  type = string
}

variable "s3_buckets" {
  type = list(object({
    type                = string # determines the type of bucket and default policy chosen
    name                = string
    prefix              = string
    acl                 = string
    policy              = string
    force_destroy       = bool
    acceleration_status = string # Enabled or Suspended or null
    region              = string
    request_payer       = string # BucketOwner or Requester or null
    tags                = map(string)
    website_config      = map(string)
  }))
}
